GFARM_URL_SECTION_REPLICATE_FROM_TO(3)

NAME
gfarm_url_section_replicate_from_to - Create a file replica of a file section

SYNOPSIS

#include <gfarm/gfarm.h>

char *gfarm_url_section_replicate_from_to (const char *gfarm_url, char *section, char *srchost, char *dsthost);

DESCRIPTION

gfarm_url_section_replicate_from_to() creates a file replica of a file section section of a file gfarm_url from a source host srchost to a destination host dsthost.

File section is an architecture name for executable files, or is a fragment index for a regular file. Note that a fragment index needs to be specified in string without any unnecessary space character and zero padding.

When there is no file copy on a host specified by srchost, gfarm_url_section_replicate_from_to() returns error.

RETURN VALUES

NULL
    The function terminated successfully.

GFARM_ERR_NO_MEMORY
    Insufficient memory was available.

GFARM_ERR_NO_SUCH_OBJECT
    A component used as a directory in gfarm_url does not exist, or a file copy does not exist on the specified source host.

GFARM_ERR_TEXT_FILE_BUSY
    The file gfarm_url cannot be replicated because it is being updated by another process.

Others
    An error except the above occurred. The reason is shown by its pointed strings.

SEE ALSO

gfarm_url_section_replicate_to(3), gfarm_url_fragments_replicate(3)